Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000289Core InformActivitiespublic2010-09-12 21:452010-10-28 00:30
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000289: Misleading problem message on forgetting the "something" when defining a new activity
DescriptionThe below code reports, "Before reading 'Painting is an activity on colors' , I already knew that 'Painting' is an activity, and it is too late to change now." This took me a good half hour to figure out that the word "something" was required. (Usually 'something' means 'objects of class Thing'.)
Minimal Source Text To Reproduce
"kov activity"

A color is a kind of value.  The colors are red, green, blue.

Painting is an activity on colors.

spot is room
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000587)
graham (administrator)
2010-09-26 06:45

Yes, this certainly deserved a better problem message, and now has a very explicit one. (Well, it doesn't have the sort of sticker on it that you find on an Eminem album, but you get the general idea.)

- Issue History
Date Modified Username Field Change
2010-09-12 21:45 Ron Newcomb New Issue
2010-09-13 09:51 jmcgrew Severity mild => cosmetic
2010-09-13 09:51 jmcgrew Status new => confirmed
2010-09-26 06:45 graham Note Added: 0000587
2010-09-26 06:45 graham Status confirmed => resolved
2010-09-26 06:45 graham Resolution open => fixed
2010-09-26 06:45 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker